%set_verify_elf_method unresolved=relaxed
Name: a2ps
Version: 4.13
Release: alt3

Summary: Any to PostScript filter
License: GPL
Group: File tools
Url: http://www.inf.enst.fr/~demaille/a2ps/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: %name-%{version}b.tar.bz2
Source1: i18n-fonts.0.1.tar.bz2
Patch1: %name-2.13-pld-info.patch
Patch2: %name-2.13-pld-security.patch
Patch3: %name-2.13-pld-etc.patch
Patch4: %name-2.13-pld-flex.patch
Patch5: %name-2.13-pld-glibcpaper.patch
Patch6: %name-2.13-pld-autoenc.patch
Patch7: %name-2.13-pld-i18n.patch
Patch8: %name-2.13-pld-ogonkify-xfig-fix.patch
Patch9: %name-4.13-select_c-filename-shell-command-vulnerability.patch
Patch10: %name-4.13-alt-gcc3.4.patch
Patch11: %name-4.13-lib64.patch

PreReq: lib%name = %version-%release

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Wed Dec 29 2004
BuildRequires: ImageMagick flex ghostscript-common ghostscript-utils groff-base gv gzip-utils psutils tetex-core tetex-dvips tetex-latex xorg-x11-devel

%description
GNU a2ps is an Any to PostScript filter.  Of course it processes plain
text files, but also pretty prints quite a few popular languages.

Its slogan is precisely `` Do The Right Thing '', which means that
though it is highly configurable, everything was made so that a novice
user can do complicated PostScript manipulations.  For instance, it
has the ability to delegate the processing of some files to other
filters (such as groff, texi2dvi, dvips, gzip etc.), what allows a
uniform treatment (n-up, page selection, duplex etc.) of heterogeneous
files.

%description -l ru_RU.CP1251
GNU a2ps --  ,      
PostScript.     ,    
     PostScript.    
    ,   groff, texi2dvi,
dvips, gzip  ..

%package -n lib%name
Summary: %name shared library
Group: System/Libraries
License: GPL

%description -n lib%name
The lib%name package contains a shared library of functions of %name' filters.

%description -n lib%name -l ru_RU.CP1251
     ,   %name.

%package -n lib%name-devel
Summary: %name development files
Group: Development/C
License: GPL
PreReq: lib%name = %version-%release

%description -n lib%name-devel
The lib%name package contains development files for using
lib%name in development.

%description -n lib%name-devel -l ru_RU.CP1251
    ,   
 lib%name   .

%package -n lib%name-devel-static
Summary: Staitc library for %name
Group: Development/C
License: GPL
PreReq: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains library for building statically linked software.

%description -n lib%name-devel-static -l ru_RU.CP1251
    ,   
 lib%name    .

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p0
%patch10 -p1
%patch11 -p1

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
lispdir=%_sysconfdir/emacs/site-start.d
%configure --enable-shared --sysconfdir=%_sysconfdir/%name %{subst_enable static}
%make

%install
%make DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%config(noreplace) %_sysconfdir/%name/*.cfg
%_bindir/*
%exclude /a2ps*.el
%_datadir/%name
%_datadir/ogonkify
%_infodir/*
%_man1dir/*
%doc ANNOUNCE AUTHORS FAQ NEWS README ChangeLog TODO THANKS

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Oct 25 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.13-alt3
- fix build on x86_64

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.13-alt2
- Fixed compilation with gcc3.4.

* Sat Dec 25 2004 Andrey Astafiev <andrei@altlinux.ru> 4.13-alt1
- Security fix: CAN-2004-1170 

* Thu Dec 11 2003 Andrey Astafiev <andrei@altlinux.ru> 4.13-alt0.4
- Fixed permissions on some sources.

* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 4.13-alt0.3
- *.la files removed.

* Wed Sep 03 2003 Andrey Astafiev <andrei@altlinux.ru> 4.13-alt0.1
- First version of RPM package for Sisyphus.
